AWS introduces new framework-specific Deep Learning AMIs and backwards-compatible images

We are excited to announce that AWS now offers new framework-specific Deep Learning AMI (DLAMI). Today we launched framework-specific DLAMIs for PyTorch 1.9.0 and TensorFlow 2.5.0, with support for Amazon Linux 2, Ubuntu 18.04, and Ubuntu 20.04. The AWS DLAMIs provide machine learning practitioners and researchers with the infrastructure and tools to accelerate deep learning in the cloud, at any scale. These optimized new images are up to 60% smaller in size, accelerating the time for machine learning practitioners to launch DLAMIs on AWS. We will continue to release and support DLAMI in the previous format that includes multiple frameworks and operating systems within a single AMI.

Source:: Amazon AWS